Related Keywords

‌‌
The Related Keywords endpoint provides keywords appearing in the “Related Searches” section on Amazon.

You can get up to 1554 keyword ideas by specifying the search depth. Each related keyword comes with search volume information.

Datasource: DataForSEO Amazon SERP Database
Search algorithm: depth-first search for queries appearing in the “Related Searches” section on Amazon for the specified seed keyword.
Examples:
Note: the depth parameter is set to 1
Specified seed keyword:
“computer mouse”
Resulting related keywords:
•”computer mouse wired”,
•”computer mouse wireless”,
•”computer mouse pad”,
•”wireless computer mouse”,
•”mouse pad”,
•”gaming mouse”

checked POST
Pricing

Your account will be charged for each request.
The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array. You can send up to 2000 API calls per minute, each Live API call can contain only one task. The maximum number of calls that can be sent simultaneously is limited to 30.

You can specify the number of results you want to retrieve, filter and sort them.

Below you will find a detailed description of the fields you can use for setting a task.

Description of the fields for setting a task:

Field nameTypeDescription
keywordstring

keyword
required field
UTF-8 encoding
the keywords should be specified in the lowercase format

learn more about rules and limitations of keyword and keywords fields in DataForSEO APIs in this Help Center article

location_namestring

full name of the location
required field if you don't specify location_code
Note: it is required to specify either location_name or location_code
you can receive the list of available locations with their location_name by making a separate request to
https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages;
Note: this endpoint currently supports the US, Egypt, Saudi Arabia, and the United Arab Emirates locations only;
example:
United States

location_codeinteger

location code
required field if you don't specify location_name
Note: it is required to specify either location_name or location_code
you can receive the list of available locations with their location_code by making a separate request to
https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages;
Note: this endpoint currently supports the US, Egypt, Saudi Arabia, and the United Arab Emirates locations only;
example:
2840

language_namestring

full name of the language
required field if you don't specify language_code
Note: it is required to specify either language_name or language_code
you can receive the list of available locations with their language_name by making a separate request to https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
example:
English

language_codestring

language code
required field if you don't specify language_name
Note: it is required to specify either language_name or language_code
you can receive the list of available locations with their language_code by making a separate request to https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
example:
en

depthinteger

keyword search depth
optional field
default value: 1;
number of the returned results depends on the value you set in this field;
you can specify a level from 0 to 4;
estimated number of keywords for each level (maximum):
0 - the keyword set in the keyword field
1 – 6 keywords
2 – 42 keywords
3 – 258 keywords
4 – 1554 keywords

include_seed_keywordboolean

include data for the seed keyword
optional field
if set to true, data for the seed keyword specified in the keyword field will be provided in the seed_keyword_data array of the response
default value: false

ignore_synonymsboolean

ignore highly similar keywords
optional field
if set to_true only core keywords will be returned, all highly similar keywords will be excluded;
default value: falsen

limitinteger

the maximum number of returned keywords
optional field
default value: 100
maximum value: 1000

offsetinteger

offset in the results array of returned keywords
optional field
default value: 0
if you specify the 10 value, the first ten keywords in the results array will be omitted and the data will be provided for the successive keywords

tagstring

user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response


As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        se_typestring

search engine type

        seed_keywordstring

keyword in a POST array

        seed_keyword_dataobject

keyword data for the seed keyword
fields in the object are identical to that of keyword_data

        location_codeinteger

location code in a POST array

        language_codestring

language code in a POST array

        total_countinteger

total amount of results in our database relevant to your request

        items_countinteger

the number of results returned in the items array

        itemsarray

contains objects with keywords and related data

            se_typestring

search engine type

            keyword_dataobject

keyword data for the returned keyword

                se_typestring

search engine type

                keywordstring

related keyword

                location_codeinteger

location code in a POST array

                language_codestring

language code in a POST array

                keyword_infoobject

keyword info for the returned keyword

                    se_typestring

search engine type

                    last_updated_timestring

date and time when keyword data was updated
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00

                    search_volumeinteger

average monthly search volume rate
represents the (approximate) number of searches for the provided keyword idea on Amazon

            depthinteger

keyword search depth

            related_keywordsarray

list of related keywords
represents the list of search queries which are related to the keyword returned in the array above


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/dataforseo_labs/amazon/related_keywords/live" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
    {
        "keyword": "computer mouse",
        "language_name": "English",
        "location_code": 2840,
        "limit": 5,
        "include_seed_keyword": true
    }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

$post_array = array();
// simple way to set a task
$post_array[] = array(
   "keyword" => "computer mouse",
   "language_name" => "English",
   "location_code" => 2840,
   "limit" => 5,
   "include_seed_keyword" > true
);
try {
   // POST /v3/dataforseo_labs/amazon/related_keywords/live
   $result = $client->post('/v3/dataforseo_labs/amazon/related_keywords/live', $post_array);
   print_r($result);
   // do something with post result
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
}
$client = null;
?>
const post_array = [];

post_array.push({
  "keyword": "computer mouse",
  "language_name": "English",
  "location_code": 2840,
  "limit": 5,
  "include_seed_keyword": true

});

const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.dataforseo.com/v3/dataforseo_labs/amazon/related_keywords/live',
  auth: {
    username: 'login',
    password: 'password'
  },
  data: post_array,
  headers: {
    'content-type': 'application/json'
  }
}).then(function (response) {
  var result = response['data']['tasks'];
  // Result data
  console.log(result);
}).catch(function (error) {
  console.log(error);
});
from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
post_data = dict()
# simple way to set a task
post_data[len(post_data)] = dict(
    keyword="computer mouse",
    location_name="United States",
    language_name="English",
    limit=5,
    include_seed_keyword=true
    
)
# POST /v3/dataforseo_labs/amazon/related_keywords/live
response = client.post("/v3/dataforseo_labs/amazon/related_keywords/live", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task dataforseo_labs_amazon_related_keywords_live()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            postData.Add(new
            {
                keyword = "computer mouse",
                location_name = "United States",
                language_name = "English",
                limit: = 5,
                include_seed_keyword = true
            });
            // POST /v3/dataforseo_labs/amazon/related_keywords/live
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/dataforseo_labs/amazon/related_keywords/live", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
    "version": "0.1.20220216",
    "status_code": 20000,
    "status_message": "Ok.",
    "time": "0.1167 sec.",
    "cost": 0.0105,
    "tasks_count": 1,
    "tasks_error": 0,
    "tasks": [
        {
            "id": "02231607-2806-0387-0000-7a6b40425329",
            "status_code": 20000,
            "status_message": "Ok.",
            "time": "0.0268 sec.",
            "cost": 0.0105,
            "result_count": 1,
            "path": [
                "v3",
                "dataforseo_labs",
                "amazon",
                "related_keywords",
                "live"
            ],
            "data": {
                "api": "dataforseo_labs",
                "function": "related_keywords",
                "se_type": "amazon",
                "keyword": "computer mouse",
                "language_name": "English",
                "location_code": 2840,
                "limit": 5,
                "include_seed_keyword": true
            },
            "result": [
                {
                    "se_type": "amazon",
                    "seed_keyword": "computer mouse",
                    "seed_keyword_data": {
                        "se_type": "amazon",
                        "keyword": "computer mouse",
                        "location_code": 2840,
                        "language_code": "en",
                        "keyword_info": {
                            "se_type": "amazon",
                            "last_updated_time": "2022-02-15 21:44:19 +00:00",
                            "search_volume": 9200
                        }
                    },
                    "location_code": 2840,
                    "language_code": "en",
                    "total_count": 7,
                    "items_count": 5,
                    "items": [
                        {
                            "se_type": "amazon",
                            "keyword_data": {
                                "se_type": "amazon",
                                "keyword": "mouse pad",
                                "location_code": 2840,
                                "language_code": "en",
                                "keyword_info": {
                                    "se_type": "amazon",
                                    "last_updated_time": "2022-02-15 21:45:04 +00:00",
                                    "search_volume": 193400
                                }
                            },
                            "depth": 1,
                            "related_keywords": null
                        },
                        {
                            "se_type": "amazon",
                            "keyword_data": {
                                "se_type": "amazon",
                                "keyword": "gaming mouse",
                                "location_code": 2840,
                                "language_code": "en",
                                "keyword_info": {
                                    "se_type": "amazon",
                                    "last_updated_time": "2022-02-15 22:01:20 +00:00",
                                    "search_volume": 132600
                                }
                            },
                            "depth": 1,
                            "related_keywords": null
                        },
                        {
                            "se_type": "amazon",
                            "keyword_data": {
                                "se_type": "amazon",
                                "keyword": "computer mouse",
                                "location_code": 2840,
                                "language_code": "en",
                                "keyword_info": {
                                    "se_type": "amazon",
                                    "last_updated_time": "2022-02-15 21:44:19 +00:00",
                                    "search_volume": 9200
                                }
                            },
                            "depth": 0,
                            "related_keywords": [
                                "computer mouse wireless",
                                "mouse pad",
                                "computer mouse wired",
                                "computer mouse logitech",
                                "computer mouse pad",
                                "gaming mouse"
                            ]
                        },
                        {
                            "se_type": "amazon",
                            "keyword_data": {
                                "se_type": "amazon",
                                "keyword": "computer mouse wireless",
                                "location_code": 2840,
                                "language_code": "en",
                                "keyword_info": {
                                    "se_type": "amazon",
                                    "last_updated_time": "2022-02-15 20:56:16 +00:00",
                                    "search_volume": 3100
                                }
                            },
                            "depth": 1,
                            "related_keywords": [
                                "computer mouse",
                                "mouse pad",
                                "computer mouse wireless logitech",
                                "computer mouse wireless ergonomic",
                                "computer mouse wired",
                                "computer mouse pad"
                            ]
                        },
                        {
                            "se_type": "amazon",
                            "keyword_data": {
                                "se_type": "amazon",
                                "keyword": "computer mouse wired",
                                "location_code": 2840,
                                "language_code": "en",
                                "keyword_info": {
                                    "se_type": "amazon",
                                    "last_updated_time": "2022-02-15 20:56:10 +00:00",
                                    "search_volume": 2200
                                }
                            },
                            "depth": 1,
                            "related_keywords": [
                                "computer mouse",
                                "mouse pad",
                                "computer mouse wireless",
                                "computer mouse wired gaming",
                                "computer mouse pad",
                                "wired mouse"
                            ]
                        }
                    ]
                }
            ]
        }
    ]
}